Ubuntu 18.04 LTS support

20 posts / 0 new
Last post
#1 Thu, 01/31/2019 - 03:04
Pierrot

Ubuntu 18.04 LTS support

Hello,

I was wondering if there are any plans or estimated time of arrival for supporting Ubuntu 18.04 LTS server which has been made available by the end of april 2018 ... I am on my way to order a new server as well as reinstalling another one and I was trying to make sensible choices. My politics is usually to not play with PHP versions and it seems that 18.04 is the only server distribution having PHP 7.2 installed from scratch ..

Other question, for the community: did anyone try, succeed, fail ... ?

Thanks in advance. Pierre.

Thu, 01/31/2019 - 08:48
neural

Hi @Pierrot

I have just recently set up everything using 18.04. Not finished yet - as am new to virtualmin but so far everything appears to be working well!

Thu, 01/31/2019 - 09:55
Pierrot

Hello, Ok thanks for your input, nice to know that at least it does install and run, one of the server is a Public Cloud instance so it will easy to try by myself. I was questioning the forum because of a few threads I saw about 18.04 compatibility or setup issues ::

Virtualmin breaking mariadb installation: https://www.virtualmin.com/node/60748
Ubuntu 18.04 Cloud-init Support: https://www.virtualmin.com/node/60754
DKIM not working on a fresh Virtualmin installation (Ubuntu 18.04): https://www.virtualmin.com/node/59560

Official support would be ideal :-)

Pierre.

Thu, 01/31/2019 - 23:26
neural

Agree 100% with you - Official support would be the best. I'm just getting my feet wet at the moment - coming in from a cpanel environment. Things looking good so far, but will need to spend more time on the system to get everything working accordingly....

Fri, 02/01/2019 - 05:56
neural

@Pierrot Just a heads-up - I've been battling with slow loading times for webmin/usermin. I think there's an issue with the default authentic theme. Have raised an issue on github for that.

Fri, 02/08/2019 - 05:12
Pierrot

Hello Ok I did a first attempt at installing 18.04 onto a public-cloud server, everything went smoothly as far as the installation is concerned.

I usually install Debian, I am encountering a first problem ... I cannot seem to be able to sftp to the first virtualhost I created and I am wondering if this is specific to Ubuntu. Credentials are not accepted (according to the SFTP client). I usually do SSH with SSH keys, however I have to permit SFTP for other people. If I try with a SSH key it does work. I tried adding a "PasswordAuthentication yes" into my /etc/ssh/ssh_config and restarting, does not work ... Do you think this is a Ubuntu vs Debian problem or a Virtualmin problem ? Pierre

Fri, 02/08/2019 - 07:01 (Reply to #6)
Pierrot

Hi,

I am the one being stupid ... I have to edit "/etc/ssh/sshd_config", not "/etc/ssh/ssh_config" :-) Sorry for the noise.

Pierre

Fri, 02/08/2019 - 08:44
Jason Bobier

I would love to hear an update about official support as well. I have been waiting to purchase VirtualMin until I can be sure that I can get 18.04 support. Anyone know anything? Thanks!

Mon, 02/11/2019 - 05:31
neural

@pierrot - glad you came right.... :D @Jason Bobier - I obviously can't speak for official support, but so far it's been going ok. I'm running on 18.04 - couple of teething problems, but nothing that couldn't be overcome. However saying this, I think it would be a great boon if the team would officially support 18.04. For me it's also a question support/time. 16.04 end of life is about 2 years away, while 18.04 eol is about 4 years. I'm not wanting to worry about migration etc, and would prefer to build on something that is supported for a longer time.

Mon, 02/11/2019 - 14:05
Pierrot

Hello,

Just wanted to let you know my last decisions. i went back to my usual Debian 9 for 2 reasons:

  • I was overly optimistic about 7.2 support, specifically I had a few problems with payment modules in e-commerce websites (open-source and free modules are ok, the one made by billions-making banks are not ...)

  • I had a weird comportment when doing the following: for a virtual host, remove SSL fonctionnality, then reinstate it ... (I did it just because I was having a hard time renewing a ssl cert from Let's Encrypt). After reinstating, site was systematically out with a simple "File not found" as an error, which usually indicates a problem with rights, which I didn't have. It was like PHP was not interpreted anymore (a simple index.html was working) although it was not the case where the site proposes to download the php file ... just "not found". After searching a lot, it appears I had an additionnal directives compared to other virtualhosts in the /etc/apache2/sites-available/domain.tld.conf like:

ProxyPassMatch ^/(..php(/.)?)$ fcgi://localhost:8000/home/homedir/public_html/$1

Which does not seems right because I also have a

<FilesMatch .php$>SetHandler proxy:fcgi://localhost:8001</FilesMatch>

Everything works ok with the second line only, I don't know if this is a compatibility issue with ubuntu 18.04, I doubt it but I don't have that problem on my debian 9 install ... Anyway too many pbms arising simultaneously, it was time to go back :-(. Anyway will keep an eye in Ubuntu 18.04 ... but maybe ina few month we will have Debian 10 with hopefully at least PHP7.1 :-)

Pierre

Thu, 02/14/2019 - 05:04
Pierrot

Hello

Despite what I said, I tried again on another server and I am now battling with Fail2ban which I cannot get to work properly. It seems to be starting or restarting when using the Virtualmin button but I do not get emails for the started service although my mail is working perfectly. Now if I use the command line to start Fail2ban I get the corresponding emails but the banning does not work .... well I guess I'll go back to Debian 9, I already spent way too much time on this :-(

Pierre

Fri, 03/22/2019 - 08:48
Pierrot

Hi I see that 18.04 is now in the list of supported OS but I didn't see a news about that ... so I guess it's now officially supported ? Pierre

Fri, 03/22/2019 - 14:32
musicmouse

This list is misleading: if you try now to install on an 18.04 the installation detects the system and aborts with

The systems currently supported by install.sh are:   CentOS/RHEL Linux 6 and 7 on x86_64 Debian 7, 8, and 9, on i386 and amd64 Ubuntu 14.04 LTS and 16.04 LTS on i386 and amd64   If your OS/version/arch is not listed, installation will fail. More details about the systems supported by the script can be found here: https://www.virtualmin.com/os-support Phase 1 of 3: Setup [ERROR] No repos available for this OS. Are you running unstable/testing?

So instead of the lockouts that previously often doomed 18.04 installations the rejection is now hardcoded.

Fri, 03/22/2019 - 16:21 (Reply to #13)
RobertAlter

I installed Virtualmin on a freshly installed Ubuntu Linux 18.04 LTS. It has been working well for 5 or 6 days. There does seem to be a disparity in the documentation that I would like clarification on.

Virtualmin documentation, at Virtualmin OS Support > Grade A Supported Systems, lists the following as Grade A supported Ubuntu systems:

Ubuntu 14.04 LTS, 16.04 LTS, and 18.04 LTS, on i386 and amd64 (non-LTS releases are not supported)

and also says:

Grade A systems have an automated installation script, a well-maintained software repository for updates, and are expected to work "out of the box" if you run the install script on a freshly installed system running one of these operating systems

BUT, when I used the install script it did NOT list Ubuntu 18.04 LTS and said the install would fail. I let the script continue, there were no errors, and the install was successful.

Maybe the script needs to have it's OS checking updated or else the Virtualmin documentation is incorrect. I would like to know.

But I am running Ubuntu 18.04 LTS and it is running fine, and I am getting updates from the repository.

Mon, 04/01/2019 - 10:21
sz00gun

@RobertAlter do you use 1IP on the server for websites or more than 1? Did you very any problems with IP network configuration?

I had a lot problems 2 months ago with it, not sure if I have a go again...

Mon, 04/01/2019 - 12:48
andreychek

Howdy,

Ubuntu 18.04 is supported, and the installer should work on it.

You may need to ensure you have the latest installer downloaded, but if it bails on while trying to install onto Ubuntu 18.04, let us know, and post your /root/virtualmin-install.log file.

Note that my personal servers are primarily running Virtualmin on Ubuntu 18.04 now.

-Eric

Mon, 04/01/2019 - 12:56
sz00gun

I never had any problem server working on Ubuntu 18 with 1 IP. The problem I had was with multiple IP.

Does network configuration works fine now?

Mon, 04/01/2019 - 14:37
sz00gun

Boooo

the website says: Grade A Supported Systems: Ubuntu 14.04 LTS, 16.04 LTS, and 18.04 LTS, on i386 and amd64 (non-LTS releases are not supported)

but the script: https://i.imgur.com/hZzDdzI.jpg

Please fix it.

Sat, 04/27/2019 - 04:16
eugenevdm.host
eugenevdm.host's picture

I installed Virtualmin on Ubuntu 18.04 and it worked perfectly. I agree perhaps the description needs to be updated.

Eugene van der Merwe

https://vander.host WordPress Website Hosting, VPS Hosting, and Domain Registration

Sun, 04/28/2019 - 00:49
sz00gun

@eugene, Please try INSTALL it again using 2 or more IP, and you see how wrong we are. Your server won't start after reboot.

The best is to do that on vultr VPS because they offer 2 IP., Digital Ocean, Aruba don't, as far I know.

Anyone have more info?